"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateInputWithConnectionField = void 0;
const graphql_transformer_common_1 = require("graphql-transformer-common");
function updateInputWithConnectionField(input, connectionFieldName, nonNull = false) {
    const keyFieldExists = Boolean(input.fields.find((f) => f.name.value === connectionFieldName));
    if (keyFieldExists) {
        return input;
    }
    const updatedFields = [
        ...input.fields,
        (0, graphql_transformer_common_1.makeInputValueDefinition)(connectionFieldName, nonNull ? (0, graphql_transformer_common_1.makeNonNullType)((0, graphql_transformer_common_1.makeNamedType)('ID')) : (0, graphql_transformer_common_1.makeNamedType)('ID')),
    ];
    return {
        ...input,
        fields: updatedFields,
    };
}
exports.updateInputWithConnectionField = updateInputWithConnectionField;
//# sourceMappingURL=definitions.js.map